Subject: bug#28479: icecat-52.3.0-gnu1 includes Google in search engines

From: ng0 <[email-masked]>
Date: Fri, 29 Sep 2017 09:57:07 +0000

Mark H Weaver transcribed 0.8K bytes:
> Mark H Weaver <[email-masked]> writes:
> 
> > ng0 <[email-masked]> writes:
> >
> >> With a completely new system (had to set this up for testing Mate)
> >> and guix package -i icecat  (for the recent release) and no pre-existing
> >> configuration, the default was Google, not DuckDuckGo.
> >
> > On my GuixSD system, I just tried the following:
> >
> > * Quit IceCat, and wait for the process to really be gone.
> > * Move ~/.mozilla to ~/.mozilla-OLD.
> > * Restart IceCat.
> >
> > and I found that DuckDuckGo was the default search engine.
> >
> > I'm not sure what you did, but I suspect that you had a ~/.mozilla
> > directory in place where Google was configured to be the default search
> > engine.
> 
> Any response to this, ng0?  Do you still believe that Google is the
> default search engine for our IceCat package?
> 
>       Mark
> 

I was busy and haven't forgotten about this. So:
What I reported was on a new install from scratch.
When I simply rename my .mozilla and start icecat so that a new
profile is created, I get DuckDuckGo.
Let's just close this, I have no idea what happened on the previous
install.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://krosos.org